Subject: Re: bug#36550: Small bug fix in recentf.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Jul 2019 17:07:03 +0200

Linus Källberg <[email-masked]> writes:

> On second thought, I don't think the real problem is in recentf.el, but 
> rather in the implementation of widgets and/or faces. It makes sense to 
> keep recentf.el as it is.
>
> I'm probably not qualified to fix the bug, at least in a timely manner, 
> but I did some experimenting and came up with an MWE, which is attached 
> to this e-mail. Hopefully it can be of some help.

Yes, thanks for the examples -- widget.el is clearly placing the mouse
highlights wrong here; the most important being the "highlight the first
character on the next line", but the EOF thing was also pretty curious,
and is probably more an Emacs quirk than a widget.el bug...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no